Product comparison · 2 wired routers

D-Link DSL-2500U/BA wired router Fast Ethernet Black vs TP-Link TD-W9970B wired router Fast Ethernet White

Add a product
  • 22specifications compared
  • 3differ
  • 19identical
  • 39known for one product only

Key differences

The TP-Link TD-W9970B wired router Fast Ethernet White has 3 more Ethernet LAN (RJ-45) ports than the D-Link DSL-2500U/BA wired router Fast Ethernet Black (4 vs 1). Product colour: Black on the D-Link DSL-2500U/BA wired router Fast Ethernet Black, White on the TP-Link TD-W9970B wired router Fast Ethernet White. Supported WAN type: PPPoA PPPoE IPoE IPoA Bridge on the D-Link DSL-2500U/BA wired router Fast Ethernet Black, EWAN on the TP-Link TD-W9970B wired router Fast Ethernet White.

  • Ethernet LAN (RJ-45) ports
    • DSL-2500U/BA wired router Fast Ethernet Black:1
    • TD-W9970B wired router Fast Ethernet White:4
  • Product colour
    • DSL-2500U/BA wired router Fast Ethernet Black:Black
    • TD-W9970B wired router Fast Ethernet White:White
  • Supported WAN type
    • DSL-2500U/BA wired router Fast Ethernet Black:PPPoA PPPoE IPoE IPoA Bridge
    • TD-W9970B wired router Fast Ethernet White:EWAN

Side by side

Differences highlightedShow differences only (off)
Comparison of DSL-2500U/BA, TD-W9970B
61 specifications
WAN connectionidentical
Ethernet WANYesYes
DSL WANYesYes
Networkidentical
Networking standardsKnown for oneUnknown — not stated by the sourceIEEE 802.11b, IEEE 802.11g, IEEE 802.11n
Ethernet interface typeFast EthernetFast Ethernet
Ethernet LANYesYes
Cabling technology10/100Base-T(X)10/100Base-T(X)
Ethernet LAN data rates10,100 Mbit/s10,100 Mbit/s
Frequency rangeKnown for oneUnknown — not stated by the source2.4
Signal strengthKnown for oneUnknown — not stated by the source20 dBm
DSL featuresidentical
VDSL2Known for oneUnknown — not stated by the sourceYes
ADSL2+Known for oneYesUnknown — not stated by the source
Management featuresidentical
Web-based managementYesYes
Quality of Service (QoS) supportYesYes
Universal Plug and Play (UPnP)YesYes
Reset buttonYesYes
Ports & interfaces1 differ
Ethernet LAN (RJ-45) portsDiffers14
RJ-11 ports quantity11
USB ports quantityKnown for oneUnknown — not stated by the source1
USB versionKnown for oneUnknown — not stated by the source2.0
Protocolsidentical
DHCP clientYesYes
DHCP serverYesYes
DMZ supportYesYes
Routing protocolsKnown for oneUnknown — not stated by the sourceRIP-1, RIP-2
Management protocolsKnown for oneUnknown — not stated by the sourceHTTP, SNMP V1/V2C, CWMP(TR-069)
Supported protocolsKnown for oneUnknown — not stated by the sourceATM Forum UNI3.1/4.0 PPP over ATM (RFC 2364) PPP over Ethernet (RFC2516) IPoA (RFC1577/2225) PVC
Securityidentical
Security algorithmsKnown for oneUnknown — not stated by the source64-bit WEP, 128-bit WEP, WPA, WPA-PSK, WPA2, WPA2-PSK
FirewallKnown for oneUnknown — not stated by the sourceYes
Firewall securityNetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewallNetwork address translation (NAT) firewall, Stateful packet inspection (SPI) firewall
MAC address filteringYesYes
URL filteringYesYes
IP address filteringYesYes
Network address translation (NAT)Known for oneUnknown — not stated by the sourceYes
Guest accessKnown for oneUnknown — not stated by the sourceYes
VPN tunnels quantityKnown for oneUnknown — not stated by the source10
VPN supportKnown for oneUnknown — not stated by the sourcePPTP, L2TP, IPSec Pass-through
Filtering descriptionKnown for oneICMP, TCP, UDPUnknown — not stated by the source
NAT functionalityKnown for oneyUnknown — not stated by the source
Packaging contentidentical
AC adapter includedKnown for oneUnknown — not stated by the sourceYes
Cables includedKnown for oneUnknown — not stated by the sourceLAN (RJ-45), Phone (RJ-11)
Quick installation guideKnown for oneUnknown — not stated by the sourceYes
Featuresidentical
Windows operating systems supportedKnown for oneUnknown — not stated by the sourceWindows 10 Education, Windows 10 Education x64, Windows 10 Enterprise, Windows 10 Enterprise x64, Windows 10 Home, Windows 10 Home x64, Windows 10 IOT Core, Windows 10 Pro, Windows 10 Pro x64, Windows 7 Enterprise, Windows 7 Enterprise x64, Windows 7 Home Basic, Windows 7 Home Basic x64, Windows 7 H
Mac operating systems supportedKnown for oneUnknown — not stated by the sourceYes
Linux operating systems supportedKnown for oneUnknown — not stated by the sourceYes
CertificationKnown for oneUnknown — not stated by the sourceCE, RoHS
Design1 differ
Product colourDiffersBlackWhite
On/off switchYesYes
LED indicatorsKnown for oneYesUnknown — not stated by the source
Antennaidentical
Antenna typeKnown for oneUnknown — not stated by the sourceExternal
Antenna gain level (max)Known for oneUnknown — not stated by the source5 dBi
Antennas quantityKnown for oneUnknown — not stated by the source2
Poweridentical
Power source typeKnown for oneUnknown — not stated by the sourceDC
Output voltageKnown for oneUnknown — not stated by the source12 V
Output currentKnown for oneUnknown — not stated by the source1 A
Operational conditionsidentical
Operating temperature (T-T)Known for oneUnknown — not stated by the source0 - 40 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source5 - 90%
Weight & dimensionsidentical
WidthKnown for oneUnknown — not stated by the source195 mm
DepthKnown for oneUnknown — not stated by the source130 mm
HeightKnown for oneUnknown — not stated by the source36 mm
Other features1 differ
Supported WAN typeDiffersPPPoA PPPoE IPoE IPoA BridgeEWAN

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons